## org.omg.IOP
Class EndpointIdPositionComponentHelper

    java.lang.Object
      |
      +--org.omg.IOP.EndpointIdPositionComponentHelper

public class EndpointIdPositionComponentHelper
extends java.lang.Object

Helper class for : EndpointIdPositionComponent

Author:
  OpenORB Compiler

Constructor Summary
`EndpointIdPositionComponentHelper()`

Method Summary
`static EndpointIdPositionComponent` `extract(Any a)` Extract EndpointIdPositionComponent from an any
`static java.lang.String` `id()` Return the EndpointIdPositionComponent IDL ID
`static void` `insert(Any a, EndpointIdPositionComponent t)` Insert EndpointIdPositionComponent into an any
`static EndpointIdPositionComponent` `read(InputStream istream)` Read EndpointIdPositionComponent from a marshalled stream
`static TypeCode` `type()` Return the EndpointIdPositionComponent TypeCode
`static void` `write(OutputStream ostream, EndpointIdPositionComponent value)` Write EndpointIdPositionComponent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointIdPositionComponentHelper

    public EndpointIdPositionComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              EndpointIdPositionComponent t)

  Insert EndpointIdPositionComponent into an any
  Parameters:
    `a` - an any
    `t` - EndpointIdPositionComponent value

### extract

    public static EndpointIdPositionComponent extract(Any a)

  Extract EndpointIdPositionComponent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted EndpointIdPositionComponent value

### type

    public static TypeCode type()

  Return the EndpointIdPositionComponent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the EndpointIdPositionComponent IDL ID
  Returns:
    an ID

### read

    public static EndpointIdPositionComponent read(InputStream istream)

  Read EndpointIdPositionComponent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed EndpointIdPositionComponent value

### write

    public static void write(OutputStream ostream,
                             EndpointIdPositionComponent value)

  Write EndpointIdPositionComponent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - EndpointIdPositionComponent value